# vim: set ts=2 sw=2 sts=2 et:
#
# Demo vendors
#
# Copyright (c) 2011-present Qualiteam software Ltd. All rights reserved.
# See https://www.x-cart.com/license-agreement.html for license details.

XLite\Model\Config:
  - {name: order_number_counter, category: General, value: 6}
  - {name: multivendor_mode, category: XC\MultiVendor, value: 'W'}

CDev\SimpleCMS\Model\Menu:
  - {visibleFor: A, link: '?target=register_vendor', type: P, position: 800, translations: [{code: en, name: 'Become a seller'}, {code: ru, name: 'Become a seller'}, {code: es, name: 'Conviértase en vendedor'}]}
  - {visibleFor: A, link: '?target=register_vendor', type: F, position: 600, translations: [{code: en, name: 'Become a seller'}, {code: ru, name: 'Become a seller'}, {code: es, name: 'Conviértase en vendedor'}]}

XLite\Model\Profile:
  - login: vendor1@example.com
    cleanURLs: [{cleanURL: vendor1-and-sons}]
    password: ccfbef9bf08c11d5b804bec11bcea215
    access_level: 100
    status: E
    addresses:
      - is_billing: true
        is_shipping: true
        addressFields:
          - addressField: {serviceName: title}
            value: 'Mr.'
          - addressField: {serviceName: firstname}
            value: Vendor
          - addressField: {serviceName: lastname}
            value: Firstovic
          - addressField: {serviceName: phone}
            value: '+14055555555'
          - addressField: {serviceName: address1}
            value: '51 apt, 87 street'
          - addressField: {serviceName: city}
            value: Edmond
          - addressField: {serviceName: state_id}
            value: 580
          - addressField: {serviceName: country_code}
            value: US
          - addressField: {serviceName: zipcode}
            value: '73003'
          - addressField: {serviceName: custom_state}
            value: Oklahoma
  - login: partner2@example.com
    cleanURLs: [{cleanURL: partner-inc}]
    password: 60e118f9fbec7c1cfef851e5681137d1
    access_level: 100
    status: E
    addresses:
      - is_billing: true
        is_shipping: true
        addressFields:
          - addressField: {serviceName: title}
            value: 'Mr.'
          - addressField: {serviceName: firstname}
            value: Vendor
          - addressField: {serviceName: lastname}
            value: Secondovic
          - addressField: {serviceName: phone}
            value: '+14055555555'
          - addressField: {serviceName: address1}
            value: '51 apt, 87 street'
          - addressField: {serviceName: city}
            value: Edmond
          - addressField: {serviceName: state_id}
            value: 580
          - addressField: {serviceName: country_code}
            value: US
          - addressField: {serviceName: zipcode}
            value: '73003'
          - addressField: {serviceName: custom_state}
            value: Oklahoma
  - login: seller3@example.com
    cleanURLs: [{cleanURL: seller-ltd}]
    password: ece5ae58b2d51c16c5b61e1266dca96c
    access_level: 100
    status: E
    addresses:
      - is_billing: true
        is_shipping: true
        addressFields:
          - addressField: {serviceName: title}
            value: 'Mr.'
          - addressField: {serviceName: firstname}
            value: Vendor
          - addressField: {serviceName: lastname}
            value: Thirdovic
          - addressField: {serviceName: phone}
            value: '+14055555555'
          - addressField: {serviceName: address1}
            value: '51 apt, 87 street'
          - addressField: {serviceName: city}
            value: Edmond
          - addressField: {serviceName: state_id}
            value: 580
          - addressField: {serviceName: country_code}
            value: US
          - addressField: {serviceName: zipcode}
            value: '73003'
          - addressField: {serviceName: custom_state}
            value: Oklahoma
  - login: merchant4@example.com
    cleanURLs: [{cleanURL: merchant-co}]
    password: dbb63dee74ead9034defd63d91d197e9
    access_level: 100
    status: E
    addresses:
      - is_billing: true
        is_shipping: true
        addressFields:
          - addressField: {serviceName: title}
            value: 'Mr.'
          - addressField: {serviceName: firstname}
            value: Vendor
          - addressField: {serviceName: lastname}
            value: Fourovic
          - addressField: {serviceName: phone}
            value: '+14055555555'
          - addressField: {serviceName: address1}
            value: '51 apt, 87 street'
          - addressField: {serviceName: city}
            value: Edmond
          - addressField: {serviceName: state_id}
            value: 580
          - addressField: {serviceName: country_code}
            value: US
          - addressField: {serviceName: zipcode}
            value: '73003'
          - addressField: {serviceName: custom_state}
            value: Oklahoma
  - login: bit-bucket@example.com
    password: 084e0343a0486ff05530df6c705c8bb4
    anonymous: 1
    cms_profile_id: 0
    referer: 'demo'
    language: 'en'
    addresses:
      - is_billing: true
        is_shipping: true
        addressFields:
          - addressField: {serviceName: title}
            value: 'Mr.'
          - addressField: {serviceName: firstname}
            value: Guest
          - addressField: {serviceName: lastname}
            value: Guest
          - addressField: {serviceName: phone}
            value: '+14055555555'
          - addressField: {serviceName: address1}
            value: '51 apt, 87 street'
          - addressField: {serviceName: city}
            value: Edmond
          - addressField: {serviceName: state_id}
            value: 580
          - addressField: {serviceName: country_code}
            value: US
          - addressField: {serviceName: zipcode}
            value: '73003'
          - addressField: {serviceName: custom_state}
            value: Oklahoma

XC\MultiVendor\Model\Vendor:
  - profile: {login: vendor1@example.com, order_id: "null"}
    translations:
      - companyName: "Vendor1 and Sons"
        location: "San Diego, California"
        description: "<p>We provide with the best apparel on the West Coast. Since 1929.</p>\n<p>Login to <a href=\"/admin/\">control panel</a> as this vendor by using \"vendor1@example.com\" as login with the \"vendor1\" password.</p>"
        code: "en"
  - profile: {login: partner2@example.com, order_id: "null"}
    translations:
      - companyName: "Partner Inc"
        location: "Chicago, Illinois"
        description: "<p>The geek who dies with the most toys wins, and here we can ensure your victory. We have board games, collectibles, puzzles, plush, action figures, and more from all your favorite games, shows, and movies. If it lights up, makes noise, or follows your commands, you'll find it here.</p>\n<p>Login to <a href=\"/admin/\">control panel</a> as this vendor by using \"partner2@example.com\" as login with the \"partner2\" password.</p>"
        code: "en"
  - profile: {login: seller3@example.com, order_id: "null"}
    translations:
      - companyName: "Seller Ltd"
        location: "Vancouver, Canada"
        description: "<p>Here at Toys R Us, we have a huge range of kids' toys &amp; games including outdoor toys, arts &amp; crafts, action figures and more. Shop the range online today.</p>\n<p>Login to <a href=\"/admin/\">control panel</a> as this vendor by using \"seller3@example.com\" as login with the \"seller3\" password.</p>"
        code: "en"
  - profile: {login: merchant4@example.com, order_id: "null"}
    translations:
      - companyName: "Merchant Co"
        location: "Orlando, Florida"
        description: "<p>Electronics is the science of how to control electric energy, energy in which the electrons have a fundamental role.</p>\n<p>Login to <a href=\"/admin/\">control panel</a> as this vendor by using \"merchant4@example.com\" as login with the \"merchant4\" password.</p>"
        code: "en"


XLite\Model\Role:
  - translations: [{name: Vendor}]
    profiles: [{login: vendor1@example.com, order_id: "null"},{login: partner2@example.com, order_id: "null"},{login: seller3@example.com, order_id: "null"},{login: merchant4@example.com, order_id: "null"}]

XC\MultiVendor\Model\Image\Vendor:
  - fileName: vendor1.jpg
    vendor: {login: vendor1@example.com, order_id: "null"}
    mime: image/jpg
    path: vendor1.jpg
    size: 10000
    width: 220
    height: 148
    hash: a5bd2669390ddf1d2ca0bfd80c909a38
  - fileName: vendor2.png
    vendor: {login: partner2@example.com, order_id: "null"}
    mime: image/png
    path: vendor2.png
    size: 10000
    width: 220
    height: 183
    hash: a5bd2669390ddf1d2ca0bfd80c909a38
  - fileName: vendor3.jpg
    vendor: {login: seller3@example.com, order_id: "null"}
    mime: image/jpg
    path: vendor3.jpg
    size: 10000
    width: 220
    height: 179
    hash: a5bd2669390ddf1d2ca0bfd80c909a38
  - fileName: vendor4.jpg
    vendor: {login: merchant4@example.com, order_id: "null"}
    mime: image/jpg
    path: vendor4.jpg
    size: 10000
    width: 220
    height: 217
    hash: a5bd2669390ddf1d2ca0bfd80c909a38

XLite\Model\Product\GlobalTab:
  - id: 7
    vendor_allowed: true
